tech-kern archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Fwd: Status and future of 3rd party ABI compatibility layer


On Fri, Feb 25, 2011 at 11:35 PM, Joerg Sonnenberger
<> wrote:
> Hi all,
> there is a lot of code in sys/compat and changes in the kernel API tend
> to require changes in this code too. I would like to know which
> emulations are actually in use, what the status of emulation is (both in
> terms of stability and feature set) and based on that, whether some of
> them shouldn't rest in the Attic.
> As far as I can tell we have emulation code for:
> Darwin (no GUI, doesn't to have been updated in the last 5 years)
> FreeBSD (does it even handle FreeBSD 4?)
> Linux
> OSF1
> SunOS/Solaris
> SVR3
> SVR4
> Ultrix

I think that in these days it might be reasonable to keep at least

Freebsd(I'm not sure how this can help us),

With solaris.kmod we are compatible with solaris kernel, (we should
be able to load solaris kernel modules). Therefore keeping Solaris
userspace compat
layer sounds reasonable to me.




Home | Main Index | Thread Index | Old Index